EnsekiTT Blog

EnsekiTTが書くブログです。

wordpressでhas_capに関する警告が出た場合の対処方法

意気揚々とプラグインの更新をしていたら警告が出た。

デバッグモードを有効にしてるから出るのですが…やっぱりなんか気持ち悪いので対処法。

Notice: has_cap の使用はバージョン 2.0 から非推奨になりました ! 代わりに プラグインやテーマでのユーザーレベルの使用は推奨されていません。代わりに権限グループと権限を使ってください。 を使ってください。 in /wordpress/wp-includes/functions.php on line 2789

これらのプラグインで警告が出た。つらぽよ Feed Delay Real WYSIWYG WP-CodeBox

問題点 プラグイン中で用いられる add_options_page() で3番目の引数roleが数字で指定されていると警告が出る。 8などになっているものを'level_8'に置き換えてやることで、この警告を出さなくすることができる。

広告を非表示にする